# *********** Building security libraries **********
echo "Building security libraries"
cd security
./build.sh $1
cd ..

echo "Building IPCC libraries"
cd ipcc
./build_ipcc_lib.sh $1
cd ..

echo "Building TC TM libraries"
cd tc_tm
./build_tctm_lib.sh $1
cd ..

echo "Building File transfer libraries"
cd file_transfer
./build_ft_lib.sh $1
cd ..

echo "Building CSP libraries"
cd csp
./build_csp_lib.sh $1
cd ..

echo "Building ADCS interface library"
cd AdcsInterfaceLib
./build_adcs_intf_lib.sh $1
cd ..

echo "Building Timer libraries"
cd timer
./build_timer.sh $1
cd ..
